#ifndef DOOR_H_
#define DOOR_H_
#include "MapSite.h"
#include "Room.h"
class Door:public MapSite {
	friend class DoorTestSuite; 
	public:
		Door(Room *from,Room *to):from_(from),to_(to) {}
		virtual ~Door();
		void enter();
		Room *otherSideFrom(Room const&room) const;
		bool isOpen() const;
		bool open();
	protected:
		Room *getFrom() const;
		Room *getTo() const;
	private:
		bool isOpen_;
		Room *from_,*to_;
};
#endif /*DOOR_H_*/
