#include "../inc/Room.h"
Room::Room(int const number) {
	setNumber(number);
	for(MapSite::Direction d=MapSite::north;d<MapSite::directions;d=(MapSite::Direction)(d+1))
		mapSite_[d]=NULL;
	}
Room::~Room() {}
void Room::enter() { cout << "in room number: " << number_ << endl; }
int Room::getNumber() const { return number_; }
#if 0
MapSite *Room::getSide(MapSite::Direction direction) const {
	return mapSite_[direction];
}
MapSite *Room::setSide(MapSite::Direction direction,MapSite *mapSite) {
	MapSite *rc=mapSite_[direction];
	mapSite_[direction]=mapSite;
	return rc;	
}
#else
MapSite *Room::getSide(MapSite::Direction direction) const {
	map<MapSite::Direction,MapSite *>::const_iterator i=sides_.find(direction);
	return i!=sides_.end()?i->second:NULL; // try just return sides_[direction];
}
MapSite *Room::setSide(MapSite::Direction direction,MapSite *mapSite) {
#if 0
	map<MapSite::Direction,MapSite *>::iterator i=sides_.find(direction);
	MapSite *rc=NULL;
	if(i!=sides_.end()) {
		rc=i->second;
		sides_.erase(i);
	}
	/*pair<map<MapSite::Direction,MapSite *>::const_iterator,bool> p=*/sides_.insert(map<MapSite::Direction,MapSite *>::value_type(direction,mapSite));
#else
	MapSite *rc=NULL;
	pair<map<MapSite::Direction,MapSite *>::iterator,bool> p=sides_.insert(map<MapSite::Direction,MapSite *>::value_type(direction,mapSite));
	if(!p.second)
		{ rc=p.first->second; p.first->second=mapSite; }
#endif
	return rc;
}
#endif
void Room::setNumber(int const number) { number_=number; }
